<?php
/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/
/************************************************************************************
 * THEME USERS : Don't touch anything !! Or don't ask the theme author for support (:-0
 ************************************************************************************/
include(dirname(__FILE__).'/themetoolkit.php');

/************************************************************************************
 * FUNCTION ARRAY
 ************************************************************************************/
themetoolkit(
	'veryplaintxt', 
	array(
	'separ1' => 'Typography {separator}',
	'basefontsize' => 'Base Font Size ## The base font size globally affects all font sizes throughout your blog. This can be in any unit (e.g., px, pt, em), but I suggest using a percentage (%). Default is 76%.<br/><em>Format: <strong>Xy</strong> where X = a number and y = its units.</em>',
	'bodyfont' => 'Base Font Family {radio|arial, helvetica, sans-serif|<span style="font-family:arial, helvetica, sans-serif !important;font-weight:bold;">Arial</span> (Helvetica, sans serif)|"courier new", courier, monospace|<span style="font-family:courier new, courier, monospace !important;font-weight:bold;">Courier New</span> (Courier, monospace)|georgia, times, serif|<span style="font-family:georgia, times, serif !important;font-weight:bold;">Georgia</span> (Times, serif)|"lucida console", monaco, monospace|<span style="font-family:lucida console, monaco, monospace !important;font-weight:bold;">Lucida Console</span> (Monaco, monospace)|"lucida sans unicode", lucida grande, sans-serif|<span style="font-family:lucida sans unicode, lucida grande !important;font-weight:bold;">Lucida Sans Unicode</span> (Lucida Grande, sans serif)|tahoma, geneva, sans-serif|<span style="font-family:tahoma, geneva, sans-serif !important;font-weight:bold;">Tahoma</span> (Geneva, sans serif)|"times new roman", times, serif|<span style="font-family:times new roman, times, serif !important;font-weight:bold;">Times New Roman</span> (Times, serif)|"trebuchet ms", helvetica, sans-serif|<span style="font-family:trebuchet ms, helvetica, sans-serif !important;font-weight:bold;">Trebuchet MS</span> (Helvetica, sans serif)|verdana, geneva, sans-serif|<span style="font-family:verdana, geneva, sans-serif !important;font-weight:bold;">Verdana</span> (Geneva, sans serif)} ## The base font sets the font throughout your blog. A fall-back font and the font family are in parenthesis. Default is Verdana.',
	'postheadingfont' => 'Post Heading Font Family {radio|arial, helvetica, sans-serif|<span style="font-family:arial, helvetica, sans-serif !important;font-weight:bold;">Arial</span> (Helvetica, sans serif)|"courier new", courier, monospace|<span style="font-family:courier new, courier, monospace !important;font-weight:bold;">Courier New</span> (Courier, monospace)|georgia, times, serif|<span style="font-family:georgia, times, serif !important;font-weight:bold;">Georgia</span> (Times, serif)|"lucida console", monaco, monospace|<span style="font-family:lucida console, monaco, monospace !important;font-weight:bold;">Lucida Console</span> (Monaco, monospace)|"lucida sans unicode", lucida grande, sans-serif|<span style="font-family:lucida sans unicode, lucida grande !important;font-weight:bold;">Lucida Sans Unicode</span> (Lucida Grande, sans serif)|tahoma, geneva, sans-serif|<span style="font-family:tahoma, geneva, sans-serif !important;font-weight:bold;">Tahoma</span> (Geneva, sans serif)|"times new roman", times, serif|<span style="font-family:times new roman, times, serif !important;font-weight:bold;">Times New Roman</span> (Times, serif)|"trebuchet ms", helvetica, sans-serif|<span style="font-family:trebuchet ms, helvetica, sans-serif !important;font-weight:bold;">Trebuchet MS</span> (Helvetica, sans serif)|verdana, geneva, sans-serif|<span style="font-family:verdana, geneva, sans-serif !important;font-weight:bold;">Verdana</span> (Geneva, sans serif)} ## This selects the font for headings (h1, h2, h3, etc.) throughout your blog. A fall-back font and the font family are in parenthesis. Default is Arial.',
	'posttextalignment' => 'Post Text Alignment {radio|justify|Justified|left|Left aligned ("Ragged right")|right|Right aligned ("Ragged left")} ## Choose one for the text alignment of the post body text. Default is justified.',
	'separ2' => 'Layout {separator}',
	'layoutwidth' => 'Left &amp; Right Margins ## Enter a number for the left and right margins. Can be in any unit (e.g., px, pt, em), but I suggest using a percentage (%). Any number greater than "0" creates fluid margins. Default is 15%.<br/><em>Format: <strong>Xy</strong> where X = a number and y = its units.</em>',
	'singlepagelayout' => 'Single Post Page Layout {radio|widecolumn|Single Column (no sidebar)|narrowcolumn|Two Column (with sidebar)} ## Select whether to display post pages as a single column (without the sidebar) or in two columns (with the sidebar). Default is single column.',
	'sidebarposition' => 'Sidebar Position {radio|right|Right of content|left|Left of content} ## The sidebar can be position on the right or left on the main content column. Default is right of content.',
	'sidebaralign' => 'Sidebar Text Alignment {radio|center|Centered|left|Left aligned|right|Right Aligned} ## Select one for the text alignment of the sidebar. Default is (controversially) centered.',
	'separ3' => 'Content {separator}',
	'sidebaraddin' => 'Sidebar Add-in {checkbox|showsidebaraddin|yes|Display the add-in sidebar content} ## If checked, the sidebar content below will appear in the sidebar throughout the blog, except on single post pages. Default is unchecked.<br/><em><strong>Note to Widgets users:</strong> If you are actively using the Widgets plugin, then the sidebar add-in text will not appear.</em>',
	'sidebartext' => 'Sidebar Add-in Content {textarea|10|55} ## Add/edit content for the sidebar section. This text must be parsed in HTML tags. You can use HTML, but beware of special characters: i.e., &amp; = <code>&amp;amp;</code>. Remember that this text <em>will not appear</em> unless "Sidebar Add-in" is checked above. Default is Lorem ipsum&hellip; .',
	'footeraddin' => 'Footer Add-in {checkbox|showfooteraddin|yes|Display the add-in footer text} ## If checked, the footer text below will appear in the footer throughout the blog. Default is unchecked.',
	'footertext' => 'Footer Add-in Text {textarea|10|55} ## Add/edit content for the footer. This text is placed within <code>&lt;p&gt;...&lt;/p&gt;</code> tags. Beware of special characters: i.e., &amp; = <code>&amp;amp;</code>. Remember that this text <em>will not appear</em> unless "Footer Add-in" is checked above. Default is Lorem ipsum&hellip; .',
	),
	__FILE__
);

/************************************************************************************
 * FUNCTION CALLS
 ************************************************************************************/
function veryplaintxt_layoutwidth() {
	global $veryplaintxt;
	if ( $veryplaintxt->option['layoutwidth'] ) {
		print 'div#everything { margin: 0 ';
		print $veryplaintxt->option['layoutwidth'];
		print "; }\n";
	}
}
function veryplaintxt_basefontsize() {
	global $veryplaintxt;
	if ( $veryplaintxt->option['basefontsize'] ) {
		print 'body { font-size: ';
		print $veryplaintxt->option['basefontsize'];
		print "; }\n";
	}
}
function veryplaintxt_bodyfont() {
	global $veryplaintxt;
	if ( $veryplaintxt->option['bodyfont'] ) {
		print 'body { font-family: ';
		print $veryplaintxt->option['bodyfont'];
		print "; }\n";
	}
}
function veryplaintxt_postheadingfont() {
	global $veryplaintxt;
	if ( $veryplaintxt->option['postheadingfont'] ) {
		print 'h2.post-title { font-family: ';
		print $veryplaintxt->option['postheadingfont'];
		print "; }\n";
	}
}
function veryplaintxt_posttextalignment() {
	global $veryplaintxt;
	if ( $veryplaintxt->option['posttextalignment'] ) {
		print 'div.post p { text-align: ';
		print $veryplaintxt->option['posttextalignment'];
		print "; }\n";
	}
}
function veryplaintxt_singlepagelayout() {
	global $veryplaintxt;
	if ( $veryplaintxt->option['singlepagelayout'] ) {
		print $veryplaintxt->option['singlepagelayout'];
	}
}
function veryplaintxt_sidebarposition() {
	global $veryplaintxt;
	if ($veryplaintxt->option['sidebarposition'] == 'right') {
		echo '
		div#container { float: left; }
		div.narrowcolumn { margin: 0 -225px 0 0; }
		div.narrowcolumn div#content { margin: 0 225px 0 0; }
		div#sidebar { float: right; }
		';
	} else {
		echo '
		div#container { float: right; }
		div.narrowcolumn { margin: 0 0 0 -225px; }
		div.narrowcolumn div#content { margin: 0 0 0 225px; }
		div#sidebar { float: left; }
		';
	}	
}
function veryplaintxt_sidebaralign() {
	global $veryplaintxt;
	if ( $veryplaintxt->option['sidebaralign'] ) {
		print 'div#sidebar { text-align: ';
		print $veryplaintxt->option['sidebaralign'];
		print "; }\n";
	}
}
function veryplaintxt_sidebartext() {
	global $veryplaintxt;
	if ($veryplaintxt->option['showsidebaraddin'] == 'yes') {
		print $veryplaintxt->option['sidebartext'];
	}
}
function veryplaintxt_footertext() {
	global $veryplaintxt;
	if ($veryplaintxt->option['showfooteraddin'] == 'yes') {
		print $veryplaintxt->option['footertext'];
	}
}

/************************************************************************************
 * FUNCTION DEFAULTS
 ************************************************************************************/
if ( !$veryplaintxt->is_installed() ) {
	$set_defaults['layoutwidth'] = '15%';
	$set_defaults['basefontsize'] = '76%';
	$set_defaults['bodyfont'] = '"times new roman", times, serif';
	$set_defaults['postheadingfont'] = 'arial, helvetica, sans-serif';
	$set_defaults['singlepagelayout'] = 'widecolumn';
	$set_defaults['posttextalignment'] = 'justify';
	$set_defaults['sidebarposition'] = 'right';
	$set_defaults['sidebaralign'] = 'center';
	$set_defaults['sidebartext'] = '<li><h2>More About</h2><ul><li>Lorem ipusm text here can be customized in the <em>Presentation > blog.txt Themes Options</em> menu. You can also select within the options to exclude this section completely. <em>Most</em> XHTML <strong>tags</strong> will <span style="text-decoration:underline;">work</span>.</li></ul></li>';
	$set_defaults['footertext'] = 'Text <em>can</em> include <strong>inline</strong> XHTML. <span style="text-decoration:underline;">I suggest</span> using a <code>br /</code> at the end to separate from the rest of the footer.<br />';
	$result = $veryplaintxt->store_options($set_defaults) ;
}

/************************************************************************************
 * CALL FOR WIDGETS PLUGIN, V.1
 ************************************************************************************/
if ( function_exists('register_sidebar') )
    register_sidebar();

function widget_mytheme_search() {
?>
<li id="blog-search">
	<h2><label for="s">Search</label></h2>
	<form id="searchform" method="get" action="<?php bloginfo('home'); ?>/">
		<div>
			<input id="s" name="s" type="text" value="<?php echo wp_specialchars($s, 1); ?>" tabindex="1" size="10" />
			<input id="searchsubmit" name="searchsubmit" type="submit" value="Find" tabindex="2" />
		</div>
	</form> 
</li>
<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Search'), 'widget_mytheme_search');
?>